DataManagementInterface
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.wrapper
Interface DataManagementInterface

All Known Implementing Classes:
  DataManagementCall

    public interface DataManagementInterface

Method Summary
`java.lang.String` | `analyzeTables(Analysis request)`
`void` | `deleteAnalysis(java.lang.String id)`
`java.lang.Boolean` | `deleteCustomQuery(java.lang.String userId)`
`void` | `deleteResource(int resourceId)`
`void` | `editRequest(SourceGenerationRequest requestDetails)`
`java.io.File` | `exportCurrentCustomQuery(java.lang.String userId)`
`java.io.File` | `exportResource(int resourceId)`
`java.io.File` | `exportTableAsCSV(java.lang.String table)`
`java.lang.Integer` | `generateMaps(java.lang.String author, boolean enableGIS, java.lang.Integer hspecId, java.util.List<Field> speciesFilter, boolean forceRegeneration)`
`java.util.List<Field>` | `getCustomQueryFields(java.lang.String userId)`
`java.util.List<Field>` | `getDefaultSources()`
`java.lang.Integer` | `getImportStatus(java.lang.Integer resourceId)`
`java.lang.String` | `getJSONSPECGroupGenreationRequests(PagedRequestSettings settings)`
`java.lang.String` | `getJsonSubmittedAnalysis(PagedRequestSettings settings)`
`EnvironmentalExecutionReportItem` | `getReport(java.util.List<java.lang.String> reportIds)`
`SourceGenerationRequest` | `getRequest(java.lang.String id)`
`java.lang.Integer` | `importResource(java.io.File toImport, java.lang.String userId, ResourceType type, java.lang.String encoding, boolean[] fieldsMask, boolean hasHeader, char delimiter)`
`java.io.File` | `loadAnalysisResults(java.lang.String id)`
`java.lang.String` | `removeRequest(java.lang.String id, boolean deleteData, boolean deleteJobs)`
`java.lang.String` | `resubmitGeneration(java.lang.String id)`
`void` | `setCustomQuery(java.lang.String userId, java.lang.String queryString)`
`java.lang.String` | `submitRequest(SourceGenerationRequest request)`
`Resource` | `updateResource(Resource toUpdate)`
`java.lang.String` | `viewCustomQuery(java.lang.String userId, PagedRequestSettings settings)`

Method Detail

### submitRequest

    java.lang.String submitRequest(SourceGenerationRequest request)
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getReport

    EnvironmentalExecutionReportItem getReport(java.util.List<java.lang.String> reportIds)
                                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getJSONSPECGroupGenreationRequests

    java.lang.String getJSONSPECGroupGenreationRequests(PagedRequestSettings settings)
                                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### generateMaps

    java.lang.Integer generateMaps(java.lang.String author,
                                   boolean enableGIS,
                                   java.lang.Integer hspecId,
                                   java.util.List<Field> speciesFilter,
                                   boolean forceRegeneration)
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getRequest

    SourceGenerationRequest getRequest(java.lang.String id)
                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### removeRequest

    java.lang.String removeRequest(java.lang.String id,
                                   boolean deleteData,
                                   boolean deleteJobs)
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### editRequest

    void editRequest(SourceGenerationRequest requestDetails)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getDefaultSources

    java.util.List<Field> getDefaultSources()
                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### updateResource

    Resource updateResource(Resource toUpdate)
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### deleteResource

    void deleteResource(int resourceId)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### exportResource

    java.io.File exportResource(int resourceId)
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setCustomQuery

    void setCustomQuery(java.lang.String userId,
                        java.lang.String queryString)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### deleteCustomQuery

    java.lang.Boolean deleteCustomQuery(java.lang.String userId)
                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### viewCustomQuery

    java.lang.String viewCustomQuery(java.lang.String userId,
                                     PagedRequestSettings settings)
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### importResource

    java.lang.Integer importResource(java.io.File toImport,
                                     java.lang.String userId,
                                     ResourceType type,
                                     java.lang.String encoding,
                                     boolean[] fieldsMask,
                                     boolean hasHeader,
                                     char delimiter)
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getImportStatus

    java.lang.Integer getImportStatus(java.lang.Integer resourceId)
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getCustomQueryFields

    java.util.List<Field> getCustomQueryFields(java.lang.String userId)
                                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### exportTableAsCSV

    java.io.File exportTableAsCSV(java.lang.String table)
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### analyzeTables

    java.lang.String analyzeTables(Analysis request)
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getJsonSubmittedAnalysis

    java.lang.String getJsonSubmittedAnalysis(PagedRequestSettings settings)
                                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### loadAnalysisResults

    java.io.File loadAnalysisResults(java.lang.String id)
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### resubmitGeneration

    java.lang.String resubmitGeneration(java.lang.String id)
                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### exportCurrentCustomQuery

    java.io.File exportCurrentCustomQuery(java.lang.String userId)
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### deleteAnalysis

    void deleteAnalysis(java.lang.String id)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD